<?php
/*
	Plugin Name: Cab Grid Defaults
	Plugin URI:  https://cabgrid.com
	Text Domain: cab-grid-defaults
	Domain Path: /languages
	Description: Sets default values
	Version:     0.1
	Author:      Nimbus Digital
	Author URI:  http://nimbus.agency
	License:     GPL2
*/



function cabGridProDefaults(){
	global $cabGridProButtonLabelBook,$cabGridProButtonLabelSubmit,$cabGridProFormLabelPickupDate,$cabGridProFormLabelReturnDate,$cabGridProFormLabelName,$cabGridProFormLabelEmail,$cabGridProFormLabelTel,$cabGridProFormLabelOriginAddr,$cabGridProFormLabelDestAddr,$cabGridProSectTitleExtras,$cabGridProSectTitleDiscount,$cabGridProCalcLabelPassengers,$cabGridProCalcLabelLuggage,$cabGridProCalcLabelTickets,$cabGridProCalcLabelOneWay,$cabGridProCalcLabelReturn,$cabGridProCalcLabelFrom,$cabGridProCalcLabelTo,$cabGridProLogEnable,$cabGridLogLength,$cabGridIncPaypalLink,$cabGridProRole,$cabGridProPassengerStep,$cabGridProMinLuggage,$cabGridProLuggageStep,$cabGridProMinTickets,$cabGridProTicketStep,$cabGridProMinTime,$cabGridProMaxTime,$cabGridProTimeStep;
	
	//* BUTTON LABELS *\\
		//WARNING: CHANGING THESE VALUES WILL DISABLE BUILT-IN TRANSLATION!
		
		$cabGridProButtonLabelBook="";		//default: "BOOK"				//enter a label for the book button
		$cabGridProButtonLabelSubmit="";	//default: "SUBMIT"				//enter a label for the booking form submit button
	//* BOOKING FORM LABELS *\\
		$cabGridProFormLabelPickupDate="";	//default: "PICK UP DATE/TIME"	//enter a label for the booking form pick up date field label
		$cabGridProFormLabelReturnDate="";	//default: "RETURN DATE/TIME"	//enter a label for the booking form return date field label
		$cabGridProFormLabelName="";		//default: "YOUR NAME"			//enter a label for the booking form name field label
		$cabGridProFormLabelEmail="";		//default: "YOUR EMAIL"			//enter a label for the booking form email field label
		$cabGridProFormLabelTel="";			//default: "YOUR TELEPHONE"		//enter a label for the booking form telephone field label
		$cabGridProFormLabelOriginAddr="";	//default: "PICK UP"			//enter a label for the booking form pick up address (origin) field label
		$cabGridProFormLabelDestAddr="";	//default: "DESTINATION"		//enter a label for the booking form destination address field label
	//* SECTION TITLES *\\
		$cabGridProSectTitleExtras="";		//default: "EXTRAS"				//enter a label for the booking form destination address field label
		$cabGridProSectTitleDiscount="";	//default: "DISCOUNT/PROMO CODE"//enter a label for the booking form destination address field label
	//* CALCULATOR LABELS (usually hidden in favour of icons, but can be revealed through CSS) *\\
		$cabGridProCalcLabelPassengers="";	//default: "PASSENGERS"			//enter a label for the passengers field label
		$cabGridProCalcLabelLuggage="";		//default: "LUGGAGE"			//enter a label for the luggage field label
		$cabGridProCalcLabelTickets="";		//default: "TICKETS"			//enter a label for the tickets field label
		$cabGridProCalcLabelOneWay="";		//default: "ONE WAY" (dynamic)	//enter a label for the one-way or return icon label (one-way)
		$cabGridProCalcLabelReturn="";		//default: "RETURN" (dynamic)	//enter a label for the one-way or return icon label (return)
		$cabGridProCalcLabelFrom="";		//default: "FROM"				//enter a label for the "from" drop down label
		$cabGridProCalcLabelTo="";			//default: "TO"					//enter a label for the "to" drop down label
		
	//* OTHER SETTINGS *\\
		$cabGridProLogEnable=0;			//Error Log: 0 for off, 1 for on
		$cabGridLogLength=50;			//number of lines to keep in log	
		$cabGridIncPaypalLink=1;		//determines if a Paypal link is included in the booking notifcation email sent to 
		$cabGridProRole="manage_options";

	//** TO AVOID ERRORS, MIN MUST BE EXACTLY DIVISIBLE BY STEP: eg min=2, step=2 (2,4,6,etc) OR min=0,step=3 (0,3,6,9,etc) **\\
		$cabGridProPassengerStep=1;		//determines the change in passengers when the up/down icons are clicked. A step of 2 will change 1 passenger to 3 when up is clicked
		$cabGridProMinLuggage=0;		//determines the minimum amount of luggage (max is determined by vehicle capacity)
		$cabGridProLuggageStep=1;		//determines the change in luggage when the up/down icons are clicked. A step of 3 will change 3 pieces of luggage to 6 when up is clicked
		$cabGridProMinTickets=1;		//determines the minimum number of tickets (max is determined by vehicle capacity)
		$cabGridProTicketStep=1;		//determines the change in tickets when the up/down icons are clicked. A step of 4 will change 1 ticket to 5 when up is clicked
		$cabGridProMinTime=1;			//determines the minimum amount of time for time based calculations
		$cabGridProMaxTime=365;			//determines the maximum amount of time for time based calculations
		$cabGridProTimeStep=1;			//can be a decimal value/float (e.g. 0.5). Determines the change in time units when the up/down icons are clicked. A step of 0.5 will change 1 unit (hour/day etc) to 1.5 when up is clicked.	
		

}
add_action('cab_grid_pro_defaults','cabGridProDefaults');


?>